<div class="container">
<div class="row">
  <div class="col col-md-12">
    <h1>{{title}}</h1>
  </div>
</div>
  <div class="row">
    <div class="col-md-12">
      <table class="table table-striped">
        <thead>
        <tr>
          <th>Task</th>
          <th>Finished?</th>
          <th>Operations</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let task of tasks; let i  = index">
          <td>{{task.task}}</td>
          <td><input type="checkbox" (change)="changeIsFinished(task)"  [checked]="task.finishedAt!=null"></td>
          <td>
            <button class="btn btn-primary" (click)="editTask(task)">Edit</button>
            <button class="btn btn-danger" (click)="deleteTask(task)">Delete</button>
          </td>
        </tr>
        </tbody>
      </table>
    </div>
  </div>
  <div class="modal">
    <input type="text">
    <button>Save</button>
  </div>
  <div class="row">
    <div class="col-md-12">
      <input type="text" [(ngModel)]="taskName">
      <button class="btn btn-primary" (click)="addTask()">Add Task</button>
    </div>
  </div>
</div>
